//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.02.04 at 06:53:38 PM CET 
//


package com.zakon.intelektualnasvojina.model.p1Obrazac.resenjeDto;

import javax.xml.bind.annotation.*;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="TipZahtevaNaKojiSeResenjeOdnosi">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *               &lt;enumeration value="ZIG"/>
 *               &lt;enumeration value="AUTORSKO_DELO"/>
 *               &lt;enumeration value="PATENT"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="Sluzbenik">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Ime">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *                         &lt;minLength value="3"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                   &lt;element name="Prezime">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *                         &lt;minLength value="3"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="ReferencaNaZahtev">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *               &lt;pattern value="A-[0-9]+|P[0-9]+|Z-[0-9]+/[0-9]+"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="StatusZahteva">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;choice>
 *                   &lt;element name="PrihvacenZahtev" type="{http://www.ftn.uns.ac.rs/resenje}PrihvacenZahtev"/>
 *                   &lt;element name="OdbijenZahtev" type="{http://www.ftn.uns.ac.rs/resenje}OdbijenZahtev"/>
 *                 &lt;/choice>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="BrojResenja" use="required">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *             &lt;pattern value="[0-9]+"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "tipZahtevaNaKojiSeResenjeOdnosi",
    "sluzbenik",
    "referencaNaZahtev",
    "statusZahteva"
})
@XmlRootElement(name = "Resenje")
public class Resenje {

    @XmlElement(name = "TipZahtevaNaKojiSeResenjeOdnosi", required = true)
    protected String tipZahtevaNaKojiSeResenjeOdnosi;
    @XmlElement(name = "Sluzbenik", required = true)
    protected Sluzbenik sluzbenik;
    @XmlElement(name = "ReferencaNaZahtev", required = true)
    protected String referencaNaZahtev;
    @XmlElement(name = "StatusZahteva", required = true)
    protected StatusZahteva statusZahteva;
    @XmlAttribute(name = "BrojResenja", required = true)
    protected String brojResenja;

    /**
     * Gets the value of the tipZahtevaNaKojiSeResenjeOdnosi property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTipZahtevaNaKojiSeResenjeOdnosi() {
        return tipZahtevaNaKojiSeResenjeOdnosi;
    }

    /**
     * Sets the value of the tipZahtevaNaKojiSeResenjeOdnosi property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTipZahtevaNaKojiSeResenjeOdnosi(String value) {
        this.tipZahtevaNaKojiSeResenjeOdnosi = value;
    }

    /**
     * Gets the value of the sluzbenik property.
     * 
     * @return
     *     possible object is
     *     {@link Sluzbenik }
     *     
     */
    public Sluzbenik getSluzbenik() {
        return sluzbenik;
    }

    /**
     * Sets the value of the sluzbenik property.
     * 
     * @param value
     *     allowed object is
     *     {@link Sluzbenik }
     *     
     */
    public void setSluzbenik(Sluzbenik value) {
        this.sluzbenik = value;
    }

    /**
     * Gets the value of the referencaNaZahtev property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReferencaNaZahtev() {
        return referencaNaZahtev;
    }

    /**
     * Sets the value of the referencaNaZahtev property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReferencaNaZahtev(String value) {
        this.referencaNaZahtev = value;
    }

    /**
     * Gets the value of the statusZahteva property.
     * 
     * @return
     *     possible object is
     *     {@link StatusZahteva }
     *     
     */
    public StatusZahteva getStatusZahteva() {
        return statusZahteva;
    }

    /**
     * Sets the value of the statusZahteva property.
     * 
     * @param value
     *     allowed object is
     *     {@link StatusZahteva }
     *     
     */
    public void setStatusZahteva(StatusZahteva value) {
        this.statusZahteva = value;
    }

    /**
     * Gets the value of the brojResenja property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBrojResenja() {
        return brojResenja;
    }

    /**
     * Sets the value of the brojResenja property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBrojResenja(String value) {
        this.brojResenja = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Ime">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
     *               &lt;minLength value="3"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *         &lt;element name="Prezime">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
     *               &lt;minLength value="3"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "ime",
        "prezime"
    })
    public static class Sluzbenik {

        @XmlElement(name = "Ime", required = true)
        protected String ime;
        @XmlElement(name = "Prezime", required = true)
        protected String prezime;

        /**
         * Gets the value of the ime property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getIme() {
            return ime;
        }

        /**
         * Sets the value of the ime property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setIme(String value) {
            this.ime = value;
        }

        /**
         * Gets the value of the prezime property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getPrezime() {
            return prezime;
        }

        /**
         * Sets the value of the prezime property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setPrezime(String value) {
            this.prezime = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;choice>
     *         &lt;element name="PrihvacenZahtev" type="{http://www.ftn.uns.ac.rs/resenje}PrihvacenZahtev"/>
     *         &lt;element name="OdbijenZahtev" type="{http://www.ftn.uns.ac.rs/resenje}OdbijenZahtev"/>
     *       &lt;/choice>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "prihvacenZahtev",
        "odbijenZahtev"
    })
    public static class StatusZahteva {

        @XmlElement(name = "PrihvacenZahtev")
        protected PrihvacenZahtev prihvacenZahtev;
        @XmlElement(name = "OdbijenZahtev")
        protected OdbijenZahtev odbijenZahtev;

        /**
         * Gets the value of the prihvacenZahtev property.
         * 
         * @return
         *     possible object is
         *     {@link PrihvacenZahtev }
         *     
         */
        public PrihvacenZahtev getPrihvacenZahtev() {
            return prihvacenZahtev;
        }

        /**
         * Sets the value of the prihvacenZahtev property.
         * 
         * @param value
         *     allowed object is
         *     {@link PrihvacenZahtev }
         *     
         */
        public void setPrihvacenZahtev(PrihvacenZahtev value) {
            this.prihvacenZahtev = value;
        }

        /**
         * Gets the value of the odbijenZahtev property.
         * 
         * @return
         *     possible object is
         *     {@link OdbijenZahtev }
         *     
         */
        public OdbijenZahtev getOdbijenZahtev() {
            return odbijenZahtev;
        }

        /**
         * Sets the value of the odbijenZahtev property.
         * 
         * @param value
         *     allowed object is
         *     {@link OdbijenZahtev }
         *     
         */
        public void setOdbijenZahtev(OdbijenZahtev value) {
            this.odbijenZahtev = value;
        }

    }

}
